Browser support

Stay organized with collections Save and categorize content based on your preferences.

The Google Publisher Tag (GPT) library supports the following browsers and environments:

Browser Desktop Mobile
Apple Safari
Google Chrome
Microsoft Edge
Mozilla Firefox

All of the browsers that GPT supports release regularly and update automatically. Due to this, we don't maintain a comprehensive list of supported browser versions. Instead, we validate GPT against the latest version of each browser, and commit to providing support for all versions that are officially supported by the respective browser vendors.

Unsupported browsers

The GPT library makes a best-effort attempt to serve ads to any browser that loads it. This means that GPT works on most browsers built to modern Web standards. However, browsers not expressly listed in the preceding section are considered unsupported.

GPT hasn't been validated against unsupported browsers, and they may lack features GPT needs to operate. In general, GPT doesn't try to detect unsupported browsers or alter its behavior to support them. If you use GPT with unsupported browsers, you may encounter unexpected behavior like the following:

  • Console errors originating from the GPT library.
  • Functions registered with the GPT CommandArray not executing.
  • Ads not appearing or rendering incorrectly.
  • Impressions and clicks not being counted.